local updateDelay = 5	--in seconds

local alertFor = {
    ["Krallenpriester Ishaal"] = true,  -- Horde/Alliance
    ["Talonpriest Ishaal"] = true,
    ["Sacerdote de la garra Ishaal"] = true,
    ["Prêtre de la serre Ishaal"] = true,
    ["Sacerdote dell'Artiglio Ishaal"] = true,
    ["Sacerdote da Garra Ishaal"] = true,
    ["Жрец Когтя Ишааль"] = true,
	
    ["Tormmok"] = true, -- Horde/Alliance
    ["Тормок"] = true,
	
    ["Leorajh"] = true,  -- Horde/Alliance
    ["Леорадж"] = true,

    ["Aeda Morgenglanz"] = true, -- Horde
    ["Aeda Brightdawn"] = true,
    ["Aeda Alba Brillante"] = true,	
    ["Aeda Brillaube"] = true,		
    ["Aeda Albaluce"] = true,
    ["Aeda Brilhalvo"] = true,
    ["Аеда Ясная Заря"] = true,
    ["Beschützerin Illona"] = true, -- Alliance
    ["Defender Illona"] = true,
    ["Defensora Illona"] = true,
    ["Défenseur Illona"] = true,	
    ["Difensore Illona"] = true,
    ["Defensora Illona"] = true,
    ["Защитница Иллона"] = true,

    ["Vivianne"] = true, -- Horde
    ["Вивианна"] = true,
    ["Delvar Eisenfaust"] = true, -- Alliance
    ["Delvar Ironfist"] = true,	
    ["Delvar Puño de Hierro"] = true,
    ["Delvar Poing-de-Fer"] = true,
    ["Delvar Pugnoferreo"] = true,	
    ["Delvar Punho de Ferro"] = true,
    ["Делвар Железный Кулак"] = true,
}
local f = CreateFrame("Frame")
local nextupdate = 0
f:RegisterUnitEvent("UNIT_HEALTH", "focus")
f:SetScript("OnEvent", function(self, event, unit)
     local name = UnitName(unit)
     if not alertFor[name] then return end
     local hp, hpmax = UnitHealth(unit), UnitHealthMax(unit)
     local percent = hp / hpmax
     if percent < 0.6 then --  if Follower is below 60% HP
	local t = GetTime()
	if t >= nextupdate then
	 	PlaySoundFile("Sound\\Interface\\RaidWarning.wav") -- Play Sound
	 	RaidNotice_AddMessage( RaidBossEmoteFrame, format("%s @ %d%% HP!", name, percent * 100), ChatTypeInfo["RAID_WARNING"] ); --  Spam Text
		nextupdate = t + updateDelay
	end
     end
end)